Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class AMQImpl.DefaultMethodVisitor

    java.lang.Object
      com.rabbitmq.client.impl.AMQImpl.DefaultMethodVisitor

All Implemented Interfaces:
  AMQImpl.MethodVisitor

Enclosing class:
  AMQImpl

    public static class AMQImpl.DefaultMethodVisitor

extends java.lang.Object
implements AMQImpl.MethodVisitor

Constructor Summary
`AMQImpl.DefaultMethodVisitor()`

Method Summary
`java.lang.Object` | `visit(AMQImpl.Access.Request x)`
`java.lang.Object` | `visit(AMQImpl.Access.RequestOk x)`
`java.lang.Object` | `visit(AMQImpl.Basic.Ack x)`
`java.lang.Object` | `visit(AMQImpl.Basic.Cancel x)`
`java.lang.Object` | `visit(AMQImpl.Basic.CancelOk x)`
`java.lang.Object` | `visit(AMQImpl.Basic.Consume x)`
`java.lang.Object` | `visit(AMQImpl.Basic.ConsumeOk x)`
`java.lang.Object` | `visit(AMQImpl.Basic.Deliver x)`
`java.lang.Object` | `visit(AMQImpl.Basic.Get x)`
`java.lang.Object` | `visit(AMQImpl.Basic.GetEmpty x)`
`java.lang.Object` | `visit(AMQImpl.Basic.GetOk x)`
`java.lang.Object` | `visit(AMQImpl.Basic.Nack x)`
`java.lang.Object` | `visit(AMQImpl.Basic.Publish x)`
`java.lang.Object` | `visit(AMQImpl.Basic.Qos x)`
`java.lang.Object` | `visit(AMQImpl.Basic.QosOk x)`
`java.lang.Object` | `visit(AMQImpl.Basic.Recover x)`
`java.lang.Object` | `visit(AMQImpl.Basic.RecoverAsync x)`
`java.lang.Object` | `visit(AMQImpl.Basic.RecoverOk x)`
`java.lang.Object` | `visit(AMQImpl.Basic.Reject x)`
`java.lang.Object` | `visit(AMQImpl.Basic.Return x)`
`java.lang.Object` | `visit(AMQImpl.Channel.Close x)`
`java.lang.Object` | `visit(AMQImpl.Channel.CloseOk x)`
`java.lang.Object` | `visit(AMQImpl.Channel.Flow x)`
`java.lang.Object` | `visit(AMQImpl.Channel.FlowOk x)`
`java.lang.Object` | `visit(AMQImpl.Channel.Open x)`
`java.lang.Object` | `visit(AMQImpl.Channel.OpenOk x)`
`java.lang.Object` | `visit(AMQImpl.Confirm.Select x)`
`java.lang.Object` | `visit(AMQImpl.Confirm.SelectOk x)`
`java.lang.Object` | `visit(AMQImpl.Connection.Close x)`
`java.lang.Object` | `visit(AMQImpl.Connection.CloseOk x)`
`java.lang.Object` | `visit(AMQImpl.Connection.Open x)`
`java.lang.Object` | `visit(AMQImpl.Connection.OpenOk x)`
`java.lang.Object` | `visit(AMQImpl.Connection.Secure x)`
`java.lang.Object` | `visit(AMQImpl.Connection.SecureOk x)`
`java.lang.Object` | `visit(AMQImpl.Connection.Start x)`
`java.lang.Object` | `visit(AMQImpl.Connection.StartOk x)`
`java.lang.Object` | `visit(AMQImpl.Connection.Tune x)`
`java.lang.Object` | `visit(AMQImpl.Connection.TuneOk x)`
`java.lang.Object` | `visit(AMQImpl.Exchange.Bind x)`
`java.lang.Object` | `visit(AMQImpl.Exchange.BindOk x)`
`java.lang.Object` | `visit(AMQImpl.Exchange.Declare x)`
`java.lang.Object` | `visit(AMQImpl.Exchange.DeclareOk x)`
`java.lang.Object` | `visit(AMQImpl.Exchange.Delete x)`
`java.lang.Object` | `visit(AMQImpl.Exchange.DeleteOk x)`
`java.lang.Object` | `visit(AMQImpl.Exchange.Unbind x)`
`java.lang.Object` | `visit(AMQImpl.Exchange.UnbindOk x)`
`java.lang.Object` | `visit(AMQImpl.Queue.Bind x)`
`java.lang.Object` | `visit(AMQImpl.Queue.BindOk x)`
`java.lang.Object` | `visit(AMQImpl.Queue.Declare x)`
`java.lang.Object` | `visit(AMQImpl.Queue.DeclareOk x)`
`java.lang.Object` | `visit(AMQImpl.Queue.Delete x)`
`java.lang.Object` | `visit(AMQImpl.Queue.DeleteOk x)`
`java.lang.Object` | `visit(AMQImpl.Queue.Purge x)`
`java.lang.Object` | `visit(AMQImpl.Queue.PurgeOk x)`
`java.lang.Object` | `visit(AMQImpl.Queue.Unbind x)`
`java.lang.Object` | `visit(AMQImpl.Queue.UnbindOk x)`
`java.lang.Object` | `visit(AMQImpl.Tx.Commit x)`
`java.lang.Object` | `visit(AMQImpl.Tx.CommitOk x)`
`java.lang.Object` | `visit(AMQImpl.Tx.Rollback x)`
`java.lang.Object` | `visit(AMQImpl.Tx.RollbackOk x)`
`java.lang.Object` | `visit(AMQImpl.Tx.Select x)`
`java.lang.Object` | `visit(AMQImpl.Tx.SelectOk x)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AMQImpl.DefaultMethodVisitor

    public AMQImpl.DefaultMethodVisitor()

Method Detail

### visit

    public java.lang.Object visit(AMQImpl.Connection.Start x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Connection.StartOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Connection.Secure x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Connection.SecureOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Connection.Tune x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Connection.TuneOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Connection.Open x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Connection.OpenOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Connection.Close x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Connection.CloseOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Channel.Open x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Channel.OpenOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Channel.Flow x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Channel.FlowOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Channel.Close x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Channel.CloseOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Access.Request x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Access.RequestOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Exchange.Declare x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Exchange.DeclareOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Exchange.Delete x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Exchange.DeleteOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Exchange.Bind x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Exchange.BindOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Exchange.Unbind x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Exchange.UnbindOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Queue.Declare x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Queue.DeclareOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Queue.Bind x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Queue.BindOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Queue.Purge x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Queue.PurgeOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Queue.Delete x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Queue.DeleteOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Queue.Unbind x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Queue.UnbindOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.Qos x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.QosOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.Consume x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.ConsumeOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.Cancel x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.CancelOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.Publish x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.Return x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.Deliver x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.Get x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.GetOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.GetEmpty x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.Ack x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.Reject x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.RecoverAsync x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.Recover x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.RecoverOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Basic.Nack x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Tx.Select x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Tx.SelectOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Tx.Commit x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Tx.CommitOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Tx.Rollback x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Tx.RollbackOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Confirm.Select x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

### visit

    public java.lang.Object visit(AMQImpl.Confirm.SelectOk x)
                           throws java.io.IOException

  Specified by:
    `visit` in interface `AMQImpl.MethodVisitor`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD